Bug 5122 - [NEWPACKAGE] nvidia346
: [NEWPACKAGE] nvidia346
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 5108
Blocks: 5123
  Show dependency treegraph
 
Reported: 2015-03-02 18:23 MSK by Eugene Shatokhin
Modified: 2015-03-06 16:27 MSK (History)
2 users (show)

See Also:
RPM Package: nvidia346-346.47
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2015-03-02 18:23:54 MSK
New long-lived branch of NVidia graphics drivers, 346.x.
Comment 1 Eugene Shatokhin 2015-03-02 18:30:53 MSK
Advisory:
A new long-lived branch 346.x of the proprietary driver for NVidia GPUs was released. The driver supports GeForce GTX 400 series and later.

Build lists:
i586:
https://abf.io/build_lists/2442622
x86_64:
https://abf.io/build_lists/2442623

Note: the list of supported GPUs is available here:
https://abf.io/soft/ldetect-lst/blob/0.1.329/drivers/README-nvidia346.txt#lc-6609
Comment 2 Eugene Shatokhin 2015-03-02 18:41:56 MSK
Also note that nvidia346 requires libvdpau 0.9 (update request http://bugs.rosalinux.ru/show_bug.cgi?id=5108), so the udpate request 5108 should be processed first.


Hints for testing. 

XFdrake still knows nothing about nvidia346. This will be fixed by a future update request for ldetect-lst. 

Until then, you can do the following to test the driver.

1. A system with an NVidia graphics card supported by nvidia346 is needed.
See the list of supported GPUs here:
https://abf.io/soft/ldetect-lst/blob/0.1.329/drivers/README-nvidia346.txt#lc-6632

2. Run XFdrake. It should offer nvidia340 as a proprietary driver among other things. Select it then set everything up with XFdrake as usual.

3. Install x11-driver-video-nvidia346. The packages with nvidia340 will be removed during the process.

4. Reboot and check if the graphics works.
Comment 3 Eugene Shatokhin 2015-03-02 21:25:34 MSK
I tested this update on our test rack with GeForce GTX 480 on x86_64 and i586, kernel 3.14.33 and 3.18.x.

Phoronix Test Suite, video playback and Steam did not reveal any problems.
Comment 4 Vladimir Potapov 2015-03-04 20:24:39 MSK
The update route to expanded testing
************************************
Comment 5 Andrey Ponomarenko 2015-03-04 20:54:29 MSK
Dell E6530 + nvidia346: http://hw.rosalinux.ru/index.php?probe=022a124bad

boot, glxgears, browser, video - Ok
Comment 6 Andrey Ponomarenko 2015-03-04 20:56:21 MSK
Dell E6530 (Optimus mode) + nvidia346: http://hw.rosalinux.ru/index.php?probe=888057d696

boot, optirun, glxgears, browser, video - Ok
Comment 7 Andrey Ponomarenko 2015-03-05 00:30:18 MSK
ASUS X71SL with G98M [GeForce 9300M GS]: http://hw.rosalinux.ru/index.php?probe=e2b3ce71be

XFdrake suggests nvidia340 driver as expected since the card is not supported by nvidia346.
Comment 8 Andrey Ponomarenko 2015-03-05 20:55:16 MSK
ASUS N53Jf with GF108M [GeForce GT 425M]

boot, optirun, glxgears, browser, video - Ok

HW probe: http://hw.rosalinux.ru/index.php?probe=935375c3e7
Comment 9 Andrey Ponomarenko 2015-03-05 20:57:23 MSK
ASUS N73SV with GF108M [GeForce GT 540M]

boot, optirun, glxgears, browser, video - Ok

HW probe: http://hw.rosalinux.ru/index.php?probe=7670532dd2
Comment 10 Andrey Ponomarenko 2015-03-05 21:06:18 MSK
Extended testing report - Ok
Comment 11 Vladimir Potapov 2015-03-06 16:10:46 MSK
nvidia346-346.47-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2442622/i586/non-free/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2442623/x86_64/non-free/release/
***************************** Advisory ***********************
A new long-lived branch 346.x of the proprietary driver for NVidia GPUs was released. The driver supports GeForce GTX 400 series and later.
**************************************************************
QA Verified